﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="Soveryn.Commerce.Controls.CartControl"
    CodeFile="~/Controls/CartControl.ascx.cs" %>
<%@ Register TagName="AddressDisplay" TagPrefix="sov" Src="~/Controls/AddressDisplay.ascx" %>
<div class="cartPage">
    <asp:UpdatePanel ID="CartUpdatePanel" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:HiddenField ID="finalCartModeHiddenField" runat="server" />
            <asp:HiddenField ID="miniCartModeHiddenField" runat="server" />
            <asp:Panel ID="EmptyCartPanel" runat="server" Visible="false" CssClass="empty">
                <h2>
                    Your cart is empty.
                </h2>
            </asp:Panel>
            <asp:Panel ID="UnpaidOrdersPanel" runat="server" Visible="false" CssClass="unpaidOrders">
                Your recent attempt to pay for an order was unsuccessful. The items in this order
                are no longer in the shopping cart.
                <asp:HyperLink ID="PayForOrderHyperLink" runat="server" CssClass="buttonPositive"
                    Text="Pay for order" />
            </asp:Panel>
            <asp:Panel ID="CartPanel" runat="server" Visible="false">
                <asp:Panel ID="TopPanel" runat="server" CssClass="topSection">
                    <table style="width: 100%;">
                        <tr>
                            <td>
                                <asp:UpdateProgress ID="UpdateProgress1" AssociatedUpdatePanelID="CartUpdatePanel"
                                    runat="server">
                                    <ProgressTemplate>
                                        <img src="/Files/Themes/<%= ParentPage.Website.DesignFolder %>/loading.gif" alt="" />
                                    </ProgressTemplate>
                                </asp:UpdateProgress>
                            </td>
                            <td class="updateSection">
                                <asp:Panel ID="UpdateCheckoutButtonsUpper" runat="server">
                                    <asp:LinkButton ID="UpdateButton" runat="server" Text="Update" CssClass="buttonPositive"
                                        OnClick="UpdateButton_Click" />
                                    <asp:LinkButton ID="CheckoutButton2" runat="server" Text="Checkout" CssClass="buttonPositive"
                                        OnClientClick="window.location='/OrderCheckoutPROC.aspx';" />
                                </asp:Panel>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <div class="list">
                    <table style="width: 100%;">
                        <tr id="HeadingsRow" runat="server" class="heading">
                            <td>
                            </td>
                            <td>
                                <h4>
                                    Price</h4>
                            </td>
                            <td>
                                <h4>
                                    Quantity</h4>
                            </td>
                            <td>
                                <h4>
                                    Total</h4>
                            </td>
                        </tr>
                        <tr>
                            <td class="headerSeparator" colspan="5">
                            </td>
                        </tr>
                        <asp:Repeater ID="CartLineRepeater" runat="server" OnItemDataBound="CartLineRepeater_OnItemDataBound">
                            <ItemTemplate>
                                <tr id="CartLineTR" runat="server" class="line">
                                    <td>
                                        <table>
                                            <tr>
                                                <td style="vertical-align: top;">
                                                    <asp:HiddenField ID="CartLineIDHiddenField" runat="server" />
                                                    <asp:HyperLink ID="CartLineImageHyperLink" runat="server" CssClass="image">
                                                        <asp:Image ID="CartLineImage" runat="server" />
                                                    </asp:HyperLink>
                                                </td>
                                                <td style="vertical-align: top; text-align: left;">
                                                    <asp:HyperLink ID="CartLineNameHyperLink" runat="server" CssClass="name" />
                                                    <asp:Literal ID="PropertiesLiteral" runat="server" />
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        <div>
                                            <asp:Label ID="CartLinePriceLabel" runat="server" CssClass="price" />
                                        </div>
                                        <div>
                                            <asp:Label ID="CartLineSurchargeLabel" runat="server" CssClass="price" Visible="false" />
                                        </div>
                                        <div>
                                            <asp:Label ID="CartLineRetailerDiscountLabel" runat="server" Visible="false" CssClass="price" />
                                        </div>
                                        <div>
                                            <asp:Label ID="CartLineManufacturerDiscountLabel" runat="server" Visible="false"
                                                CssClass="price" />
                                        </div>
                                    </td>
                                    <td>
                                        <asp:TextBox ID="CartLineQuantityTextBox" runat="server" CssClass="quantityBox" MaxLength="3" />
                                        <asp:Label ID="CartLineQuantityLabel" runat="server" CssClass="quantity" Visible="false" />
                                        <asp:LinkButton ID="CartLineDeleteLinkButton" runat="server" Text="Delete" CssClass="delete"
                                            OnClick="CartLineDeleteLinkButton_Click" />
                                    </td>
                                    <td>
                                        <asp:Label ID="CartLineTotalLabel" runat="server" CssClass="total" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="separator" colspan="100">
                                        <asp:Literal ID="LineDebugInfoLiteral" runat="server" Visible="false" />
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                    </table>
                </div>
                <div class="discountSection">
                    <asp:Panel ID="ApplyDiscountPanel" runat="server">
                        <asp:TextBox ID="DiscountCodeTextBox" runat="server" Width="100" />
                        <asp:LinkButton ID="ApplyDiscountLinkButton" runat="server" Text="Apply discount"
                            OnClick="ApplyDiscountLinkButton_Click" />
                    </asp:Panel>
                    <asp:Panel ID="RemoveDiscountPanel" runat="server" Visible="false">
                        <asp:Label ID="DiscountCodeLabel" runat="server" CssClass="discountLabel" />
                        <asp:LinkButton ID="RemoveDiscountLinkButton" runat="server" Text="Remove discount"
                            OnClick="RemoveDiscountLinkButton_Click" />
                    </asp:Panel>
                </div>
                <asp:Panel ID="UpdateCheckoutButtonsLower" runat="server" Style="width: 100%; text-align: right;
                    float: left; padding: 5px;">
                    <asp:LinkButton ID="UpdateButton2" runat="server" Text="Update" CssClass="buttonPositive"
                        OnClick="UpdateButton_Click" />
                    <asp:LinkButton ID="CheckoutButton" runat="server" Text="Checkout" CssClass="buttonPositive"
                        OnClientClick="window.location='/OrderCheckoutPROC.aspx';" />
                </asp:Panel>
                <!-- shipping billing and totals-->
                <table style="width: 100%;">
                    <tr>
                        <td style="vertical-align: top; text-align: left;">
                            <asp:Panel ID="ShippingMethodPanel" runat="server" Visible="false">
                                <asp:HiddenField ID="SelectedSovShipMethodIDCodeHiddenField" runat="server" />
                                <table class="shippingSelectionTable">
                                    <asp:Repeater ID="ShippingMethodRepeater" runat="server" OnItemDataBound="ShippingMethodRepeater_OnItemDataBound">
                                        <ItemTemplate>
                                            <tr id="ShippingMethodTR" runat="server">
                                                <td>
                                                    <asp:HiddenField ID="SovShipMethodIDCodeHiddenField" runat="server" />
                                                    <asp:LinkButton ID="SelectShippingMethodButton" runat="server" Text="Select" CssClass="buttonPositive"
                                                        OnClick="SelectShippingMethodButton_Click" />
                                                </td>
                                                <td>
                                                    <asp:Label ID="ShipMethodDisplayLabel" runat="server"></asp:Label>
                                                </td>
                                                <td>
                                                    <asp:Label ID="ShipMethodCalcAmountLabel" runat="server" CssClass="price"></asp:Label>
                                                    <asp:HiddenField ID="ShipMethodCalcAmountHiddenField" runat="server" />
                                                </td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </table>
                            </asp:Panel>
                        </td>
                        <td style="vertical-align: top; text-align: center;">
                            <asp:Panel ID="BillShipInfoPanel" runat="server" Visible="false" CssClass="block">
                                <table>
                                    <tr>
                                        <td>
                                            <b>Billing Address</b>
                                            <sov:AddressDisplay ID="BillingAddressDisplay" runat="server" />

                                            <asp:LinkButton ID="ChangeBillingAddress" runat="server" Text="Change" CssClass="buttonPositive"
                                                OnClientClick="window.location='CustomerBillingUpdate.aspx';return false;" />
                                        </td>
                                        <td>
                                            <b>Shipping Address</b>
                                            <sov:AddressDisplay ID="ShippingAddressDisplay" runat="server" />

                                            <asp:LinkButton ID="ChangeShippingAddress" runat="server" Text="Change" CssClass="buttonPositive"
                                                OnClientClick="window.location='CartShippingUpdate.aspx';return false;" />
                                        </td>
                                    </tr>
                                </table>
                            </asp:Panel>
                        </td>
                        <td style="vertical-align: top; text-align: right;">
                            <div class="block">
                                <table>
                                    <tr id="SubTotalRow" runat="server">
                                        <td style="text-align: right;">
                                            Sub Total:
                                        </td>
                                        <td style="text-align: left;">
                                            <asp:Label ID="SubTotalLabel" runat="server" CssClass="total" />
                                        </td>
                                    </tr>
                                    <tr id="ShippingRow" visible="false" runat="server">
                                        <td style="text-align: right;">
                                            Shipping:
                                        </td>
                                        <td style="text-align: left;">
                                            <asp:Label ID="ShippingLabel" runat="server" CssClass="total" />
                                        </td>
                                    </tr>
                                    <tr id="SalesTaxRow" visible="false" runat="server">
                                        <td style="text-align: right;">
                                            Sales Tax:
                                        </td>
                                        <td style="text-align: left;">
                                            <asp:Label ID="SalesTaxLabel" runat="server" CssClass="total" />
                                        </td>
                                    </tr>
                                    <tr id="CountrySurchargeRow" visible="false" runat="server">
                                        <td style="text-align: right;">
                                            Foreign Destination Fee:
                                        </td>
                                        <td style="text-align: left;">
                                            <asp:Label ID="CountrySurchargeLabel" runat="server" CssClass="total" />
                                        </td>
                                    </tr>
                                    <tr id="TotalRow" runat="server">
                                        <td style="text-align: right;">
                                            Total:
                                        </td>
                                        <td style="text-align: left;">
                                            <asp:Label ID="TotalLabel" runat="server" CssClass="total" />
                                        </td>
                                    </tr>
                                </table>
                                <asp:Literal ID="DebugInfoLiteral" runat="server" Visible="false" />
                            </div>
                        </td>
                    </tr>
                </table>
            </asp:Panel>
        </ContentTemplate>
    </asp:UpdatePanel>
</div>
