﻿<%@ Control Language="C#" AutoEventWireup="true"
    Inherits="Soveryn.Commerce.Controls.OrderDetails" Codefile="OrderDetails.ascx.cs" %>

    <%@ Register TagName="AddressDisplay" TagPrefix="sov" Src="~/Controls/AddressDisplay.ascx" %>

<div class="cartPage">

    <asp:Literal ID="GoogleAnalyticsTransactionTrackingLiteral" runat="server" />
    
    <asp:Panel ID="CartPanel" runat="server" Visible="true" CssClass="list">
        <table style="width: 100%;">
            <tr id="HeadingsRow" runat="server" class="heading">
                <td>
                    <h3>Item</h3>
                </td>
                <td>
                    <h3>Price</h3>
                </td>
                <td>
                    <h3>Quantity</h3>
                </td>
                <td>
                    <h3>Total</h3>
                </td>
            </tr>
            <tr>
                <td class="headerSeparator" colspan="5"></td>
            </tr>
            <asp:Repeater ID="CartLineRepeater" runat="server" OnItemDataBound="CartLineRepeater_OnItemDataBound">
                <ItemTemplate>
                    <tr id="CartLineTR" runat="server" class="line">
                        <td style="text-align: left;">
                            <asp:HiddenField ID="CartLineIDHiddenField" runat="server" />
                            <asp:Label ID="CartLineNameLabel" runat="server" CssClass="name" />
                            <asp:HyperLink ID="DownloadHyperLink" runat="server" Visible="false" Text="Download" CssClass="downloadLink" />
                            <asp:Literal ID="PropertiesLiteral" runat="server" />
                        </td>
                        <td>
                            <div>
                                <asp:Label ID="CartLinePriceLabel" runat="server" CssClass="price" />
                            </div>
                            <div>
                                <asp:Label ID="CartLineSurchargeLabel" runat="server" Visible="false" CssClass="price" />
                            </div>
                            <div>
                                <asp:Label ID="CartLineRetailerDiscountLabel" runat="server" Visible="false" CssClass="price" />
                            </div>
                            <div>
                                <asp:Label ID="CartLineManufacturerDiscountLabel" runat="server" Visible="false"
                                    CssClass="price" />
                            </div>
                        </td>
                        <td>
                            <asp:Label ID="CartLineQuantityLabel" runat="server" CssClass="quantity" Visible="true" />
                        </td>
                        <td>
                            <asp:Label ID="CartLineTotalLabel" runat="server" CssClass="total" />
                        </td>
                    </tr>
                    <tr>
                        <td class="separator" colspan="100">
                            <asp:Literal ID="LineDebugInfoLiteral" runat="server" Visible="false" />
                        </td>
                    </tr>
                </ItemTemplate>
            </asp:Repeater>
        </table>
    </asp:Panel>
    <table style="margin-left: auto; margin-right: auto;">
        <tr>
            <td style="vertical-align: top;">
                <div class="block">
                    <table>
                        <tr>
                            <td><b>Payment Method</b></td>
                            <td><b>Date</b></td>
                            <td><b>Amount</b></td>
                        </tr>
                        <asp:Repeater ID="PaymentListRepeater" runat="server" OnItemDataBound="PaymentListRepeater_OnItemDataBound">
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <asp:Label ID="PayMethDisplayNameLabel" runat="server" /><asp:Label ID="CardHolderNumberLabel"
                                            runat="server" />
                                    </td>
                                    <td>
                                        <asp:Label ID="PaymentCreateDateLabel" runat="server" />
                                    </td>
                                    <td>
                                        <asp:Label ID="PaymentAmountAcceptedLabel" runat="server" />
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                    </table>
                </div>
            </td>
            <td style="vertical-align: top;">
                <div class="block">
                    <table>
                        <tr>
                            <td><b>Shipping method</b></td>
                        </tr>
                        <tr>
                            <td>
                                <table class="shippingSelectionTable">
                                    <tr class="shippingMethodSelected">
                                        <td>
                                            <asp:Literal ID="ShipMethodLiteral" runat="server"></asp:Literal></td>
                                        <td>
                                            <asp:Literal ID="ShippingChargeAmountLiteral" runat="server"></asp:Literal></td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
            </td>
            <td style="vertical-align: top;">
                <asp:Panel ID="BillShipInfoPanel" runat="server" Visible="true" CssClass="block">
                    <table>
                        <tr>
                            <td><b>Shipping Address</b></td>
                        </tr>
                        <tr>
                            <td>
                                <sov:AddressDisplay ID="ShippingAddressDisplay" runat="server" />
                                <asp:Literal ID="ShipInfoLiteral" runat="server"></asp:Literal>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
            <td style="vertical-align: top;">
                <div class="block">
                    <table>
                        <tr id="SubTotalRow" runat="server">
                            <td style="text-align: right;">Sub Total: </td>
                            <td style="text-align: left;">
                                <asp:Label ID="SubTotalLabel" runat="server" CssClass="total" />
                            </td>
                        </tr>
                        <tr id="ShippingRow" runat="server">
                            <td style="text-align: right;">Shipping: </td>
                            <td style="text-align: left;">
                                <asp:Label ID="ShippingLabel" runat="server" CssClass="total" />
                            </td>
                        </tr>
                        <tr id="SalesTaxRow" runat="server">
                            <td style="text-align: right;">Sales Tax: </td>
                            <td style="text-align: left;">
                                <asp:Label ID="SalesTaxLabel" runat="server" CssClass="total" />
                            </td>
                        </tr>
                        <tr id="CountrySurchargeRow" visible="false" runat="server">
                            <td style="text-align: right;">Foreign Destination Fee: </td>
                            <td style="text-align: left;">
                                <asp:Label ID="CountrySurchargeLabel" runat="server" CssClass="total" />
                            </td>
                        </tr>
                        <tr id="TotalRow" runat="server">
                            <td style="text-align: right;">Total: </td>
                            <td style="text-align: left;">
                                <asp:Label ID="TotalLabel" runat="server" CssClass="total" />
                            </td>
                        </tr>
                    </table>
                    <asp:Literal ID="DebugInfoLiteral" runat="server" Visible="false" />
                </div>
            </td>
        </tr>
    </table>
</div>
<div class="block center">
    <sov:AddressDisplay ID="WebsiteAddressDisplay" runat="server" />
    <asp:Literal ID="EmailLiteral" runat="server" />
</div>
